# Module `wibox.layout.align`

### Info:

- Copyright: 2010 Uli Schlachter
- Release: v3.5.4
- Author: Uli Schlachter

## Functions

draw (wibox, cr, width, height) | Draw an align layout.
set_first (widget) | Set the layout's first widget.
set_second (widget) | Set the layout's second widget.
set_third (widget) | Set the layout's third widget.
fit (orig_width, orig_height) | Fit the align layout into the given space.
horizontal () | Returns a new horizontal align layout.
vertical () | Returns a new vertical align layout.

## Functions

draw (wibox, cr, width, height)
  Draw an align layout.

  ### Parameters:

  - wibox The wibox that this widget is drawn to.
  - cr The cairo context to use.
  - width The available width.
  - height The available height.

  ### Returns:

  The total space needed by the layout.
set_first (widget)
  Set the layout's first widget. This is the widget that is at the left/top

  ### Parameters:

  - widget
set_second (widget)
  Set the layout's second widget. This is the centered one.

  ### Parameters:

  - widget
set_third (widget)
  Set the layout's third widget. This is the widget that is at the right/bottom

  ### Parameters:

  - widget
fit (orig_width, orig_height)
  Fit the align layout into the given space. The align layout will take all available space in its direction and the maximum size of it's all three inner widgets in the other axis.

  ### Parameters:

  - orig_width The available width.
  - orig_height The available height.
horizontal ()
  Returns a new horizontal align layout. An align layout can display up to three widgets. The widget set via :set_left() is left-aligned. :set_right() sets a widget which will be right-aligned. The remaining space between those two will be given to the widget set via :set_middle().
vertical ()
  Returns a new vertical align layout. An align layout can display up to three widgets. The widget set via :set_top() is top-aligned. :set_bottom() sets a widget which will be bottom-aligned. The remaining space between those two will be given to the widget set via :set_middle().

generated by LDoc 1.4.2